package com.its.op.config;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class UpperCaseUnderscoreStrategy extends PropertyNamingStrategy.PropertyNamingStrategyBase {

    @Override
    public String translate(String propertyName) {
        log.error("{} ==> {}", propertyName, propertyName.toUpperCase());
        return propertyName.toUpperCase();
    }
}
